### Hierarchy

- DataTransferItem

## Index

### Properties

- kind
- type

### Methods

- getAsFile
- getAsString
- webkitGetAsEntry

## Properties

### kind

kind: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3877

Returns the drag data item kind, one of: "string", "file".

### type

type: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3881

Returns the drag data item type string.

## Methods

### getAsFile

- getAsFile(): File | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3885

  Returns a File object, if the drag data item kind is File.

  #### Returns File | null

### getAsString

- getAsString(callback: FunctionStringCallback | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3890

  Invokes the callback with the string data as the argument, if the drag data item kind is Plain Unicode string.

  #### Parameters

  - ##### callback: FunctionStringCallback | null

  #### Returns void

### webkitGetAsEntry

- webkitGetAsEntry(): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3891

  #### Returns any

Generated using TypeDoc